.hero h1 {
    font-size: clamp(2.5rem, 5vw, 3rem);
    font-weight: 700;
    margin-bottom: 1.25rem;
    line-height: 1.1;
    letter-spacing: -1.5px;
}

.hero-header {
    text-align: center;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero p {
    font-size: 17px;
    max-width: 650px;
    margin: 0 auto 2rem;
    line-height: 1.6;
    margin-bottom: 1rem;
}

.blog-top-wrapper {
    display: flex;
    justify-content: center;
    gap: 2rem;
    width: 100%;
}

.blog-latest-wrapper {
    width: 50%;
    min-width: 50%;
}

.blog-link {
    text-decoration: none;
    color: inherit;
}

.blog-latest-post-img-wrapper {
    height: 300px;
    border-radius: 5px;
    overflow: hidden;
}

.blog-latest-side-post-img-wrapper,
.blog-bottom-post-img-wrapper {
    height: 170px;
    border-radius: 5px;
    overflow: hidden;
}

.blog-bottom-post-img-wrapper {
    height: 200px;
}

.blog-latest-post-img-wrapper img,
.blog-latest-side-post-img-wrapper img,
.blog-bottom-post-img-wrapper img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-bottom-post-img-wrapper {
    width: 100%;
}

.blog-bottom-articles-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(350px, 1fr));
    gap: 3rem 2rem;
}

.blog-latest-information {
    margin-top: 1rem;
}

.blog-latest-header {
    font-size: 25px;
}

.blog-post-date {
    color: var(--text-secondary);
    font-size: 14px;
}

.blog-desc {
    margin-top: .2rem;
}

.lastest-post-call-out {
    background-color: var(--accent-primary);
    padding: 5px 10px;
    border-radius: 5px;
    color: white;
    display: inline-block;
    font-size: 14px;
}

.blog-latest-wrapper-details {
    display: flex;
    gap: 1rem;
    align-items: center;
}

.blog-link:hover .blog-header {
    text-decoration: underline;
}

.blog-latest-side-box {
    display: flex;
    gap: 1rem;
}

.blog-bottom-box {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.blog-latest-side-information {
    width: 60%;
}

.blog-latest-side-post-img-wrapper {
    width: 40%;
}


.blog-latest-side {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.blog-cat {
    color: var(--text-secondary);
    text-transform: uppercase;
    font-size: 13px;
}

body {
    background-image: radial-gradient(circle, #dfdede 1px, transparent 1px);
    background-size: 24px 24px;
}

.blog-bottom-wrapper {
    width: 100%;
}

.blog-bottom-top-wrapper {
    display: flex;
    align-items: center;
    gap: 2rem;
    justify-content: space-between;
    margin-bottom: 2rem;
}

.blog-topics-wrapper {
    display: flex;
    gap: 15px;
}

.blog-topics-wrapper a {
    text-decoration: none;
    color: var(--text-primary);
    text-wrap: nowrap;
}

.blog-topics-wrapper a.active {
    font-weight: bold;
}

.blog-topics-wrapper a:hover {
    text-decoration: underline;
}

#article-search-input {
    min-width: 300px;
}



@media (max-width: 1000px) {
    .section {
        padding: 2rem 15px;
    }
}

@media (max-width: 900px) {
    .blog-bottom-top-wrapper {
        flex-direction: column;
        width: 100%;
        align-items: baseline;
        gap: 1rem;
    }

    .blog-topics-wrapper {
        order: 2;
        width: 100%;
        justify-content: space-between;
        font-size: 14px;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
        gap: 15px 15px;
    }

    .blog-search-wrapper,
    #article-search-input {
        width: 100%;
    }

    .blog-topics-wrapper a {
        border: 1px solid var(--border-color);
        padding: 5px 0px;
        border-radius: 3px;
        text-align: center;
    }

    .blog-topics-wrapper a.active {
        background-color: var(--accent-primary);
        color: white;
        border-color: var(--accent-primary);
    }

}


@media (max-width: 800px) {
    .blog-top-wrapper {
        flex-direction: column;
    }

    .blog-latest-wrapper {
        width: 100%;
    }

    #article-search-input {
        min-width: auto;
    }
}


@media (max-width: 500px) {
    .blog-latest-side-box {
        flex-direction: column;
    }

    .blog-latest-side-post-img-wrapper {
        width: 100%;
        height: 200px;
    }

    .blog-latest-side-information {
        width: 100%;
    }

    .blog-bottom-articles-wrapper {
        display: flex;
        flex-direction: column;
        gap: 3rem;
    }
}